Apache “Struts 1 Plugin” sérülékenység

CH azonosító

CH-14133

Angol cím

Apache "Struts 1 Plugin" vulnerability

Felfedezés dátuma

2017.07.06.

Súlyosság

Magas

Érintett rendszerek

Apache Software Foundation
Apache Struts

Érintett verziók

- 2.3.x

Összefoglaló

Az Apache Struts közepes besorolású sérülékenysége vált ismertté, melyet kihasználva a távoli felhasználó tetszőleges kódot futtathat a rendszeren.

Leírás

A távoli felhasználó egy speciálisan összeállított paraméter érték elküldésével tetszőleges kódot futtathat le a célrendszeren, annak jogosultságaival. A hiba a “Struts 1 plugin”-ban található.

Megoldás

A gyártó honlapján a kockázatot csökkentő javaslatokat fogalmazott meg.